Package org.eclipse.rap.fileupload

# Interface FileDetails

public interface FileDetails
Provides details of the uploaded file like file name, content-type and size

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
The content type as transmitted by the uploading client.
`String`
`getFileName()`
The original file name of the uploaded file, as transmitted by the client.

## Method Details

### getContentType

String getContentType()
The content type as transmitted by the uploading client.

Returns:
  the content type or `null` if unknown

### getFileName

String getFileName()
The original file name of the uploaded file, as transmitted by the client. If a path was included in the request, it is stripped off.

Returns:
  the plain file name without any path segments